> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# DexScreener - Token Info

> Retrieve DexScreener ad, boost, and link update information for a specific token



## OpenAPI

````yaml /en/api-reference/openapi-data-en.yaml GET /v2/dexscr/{chain}/token/{tokenAddress}
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: DexPool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/dexscr/{chain}/token/{tokenAddress}:
    get:
      tags:
        - DexScreener
      summary: DexScreener - Token Info
      description: >-
        Retrieve DexScreener ad, boost, and link update information for a
        specific token
      operationId: get.dexscr.token-info
      parameters:
        - name: chain
          in: path
          description: A chain name listed in supported networks
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: An address of a token
          required: true
          schema:
            type: string
          example: WCoRVxGcpiwE6EvtDjXHJq6Kcn4nWT9Ubt1PrJHNAzM
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DexscrTokenInfo'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    DexscrTokenInfo:
      type: object
      description: Per-token aggregated DexScreener information.
      required:
        - chain
        - tokenAddress
      properties:
        ad:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/DexscrAd'
              description: DexScreener advertisement data for this token, if any
        boost:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/DexscrBoost'
              description: DexScreener boost data for this token, if any
        chain:
          type: string
          description: Blockchain network identifier
          example: sol
        linkUpdate:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/DexscrLinkUpdate'
              description: DexScreener link update data for this token, if any
        tokenAddress:
          type: string
          description: Token contract address
          example: WCoRVxGcpiwE6EvtDjXHJq6Kcn4nWT9Ubt1PrJHNAzM
    DexscrAd:
      type: object
      required:
        - chain
        - tokenAddress
      properties:
        adType:
          type:
            - string
            - 'null'
          description: Ad type (e.g. banner)
        chain:
          type: string
          description: Blockchain network identifier
          example: sol
        date:
          type:
            - string
            - 'null'
          description: Ad start date
        durationHours:
          type:
            - integer
            - 'null'
          format: int64
          description: Ad duration in hours
        impressions:
          type:
            - integer
            - 'null'
          format: int64
          description: Total ad impressions count
        tokenAddress:
          type: string
          description: Token contract address
          example: So11111111111111111111111111111111111111112
        url:
          type:
            - string
            - 'null'
          description: DexScreener token page URL
    DexscrBoost:
      type: object
      required:
        - chain
        - tokenAddress
        - totalAmount
      properties:
        amount:
          type:
            - number
            - 'null'
          format: double
          description: Current boost amount
        chain:
          type: string
          description: Blockchain network identifier
          example: sol
        description:
          type:
            - string
            - 'null'
          description: Token description
        header:
          type:
            - string
            - 'null'
          description: Token header image URL
        icon:
          type:
            - string
            - 'null'
          description: Token icon URL
        links:
          description: Token social links in JSON format
        openGraph:
          type:
            - string
            - 'null'
          description: Token Open Graph image URL
        tokenAddress:
          type: string
          description: Token contract address
          example: So11111111111111111111111111111111111111112
        totalAmount:
          type: number
          format: double
          description: Total boost amount spent
          example: 500
        url:
          type:
            - string
            - 'null'
          description: DexScreener token page URL
    DexscrLinkUpdate:
      type: object
      required:
        - chain
        - tokenAddress
      properties:
        chain:
          type: string
          description: Blockchain network identifier
          example: sol
        description:
          type:
            - string
            - 'null'
          description: Token description
        header:
          type:
            - string
            - 'null'
          description: Token header image URL
        icon:
          type:
            - string
            - 'null'
          description: Token icon URL
        links:
          description: Token social links in JSON format
        openGraph:
          type:
            - string
            - 'null'
          description: Token Open Graph image URL
        tokenAddress:
          type: string
          description: Token contract address
          example: So11111111111111111111111111111111111111112
        url:
          type:
            - string
            - 'null'
          description: DexScreener token page URL
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````